Index: /trunk/SophyaPI/PIext/Makefile
===================================================================
--- /trunk/SophyaPI/PIext/Makefile	(revision 2833)
+++ /trunk/SophyaPI/PIext/Makefile	(revision 2834)
@@ -767,49 +898,61 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomhistadapter.cc
  
-$(SOPHYAOBJP)nomimagadapter.o: nomimagadapter.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)nomimagadapter.o: nomimagadapter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)datatype.h nomimagadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)datatype.h nomimagadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)cimage.h \
   $(SOPHYAINCP)fioarr.h pimgadapter.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)histos.h $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)fitstarray.h \
@@ -822,49 +965,60 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)datatype.h nomskymapadapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)datatype.h nomskymapadapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)pixelmap.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
   $(SOPHYAINCP)vector3d.h \
   $(SOPHYAINCP)longlat.h \
-  $(SOPHYAINCP)utilgeom.h $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
   $(SOPHYAINCP)sphericalmap.h \
@@ -889,90 +1043,112 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h nomspecrespadapter.h \
-  nomgadapter.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  nomspecrespadapter.h nomgadapter.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)specresp.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)specresp.h \
   $(SOPHYAINCP)specrespvector.h \
   $(SOPHYAINCP)gaussfilt.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomspecrespadapter.cc
  
-$(SOPHYAOBJP)nomtarradapter.o: nomtarradapter.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)nomtarradapter.o: nomtarradapter.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)datatype.h nomtarradapter.h nomgadapter.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)datatype.h nomtarradapter.h \
+  nomgadapter.h $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
   $(SOPHYAINCP)fmath.h pitvmaad.h \
-  $(SOPHYAINCP)piyfxdrw.h $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)piyfxdrw.h \
+  $(SOPHYAINCP)fioarr.h \
   $(SOPHYAINCP)fitstarray.h \
   $(SOPHYAINCP)fitsfile.h \
@@ -984,46 +1160,59 @@
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)datatype.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)objfitter.h \
-  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)histos.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)hisprof.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
-  nomtmatvecadapter.h nomgadapter.h $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)poly.h nomtmatvecadapter.h \
+  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)piyfxdrw.h pitvmaad.h \
   $(SOPHYAINCP)fitstarray.h \
@@ -1033,10 +1222,11 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  nomtmatvecadapter.cc
  
-$(SOPHYAOBJP)pawexecut.o: pawexecut.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)pawexecut.o: pawexecut.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)histos.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1046,35 +1236,53 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)histos2.h \
-  $(SOPHYAINCP)hisprof.h $(SOPHYAINCP)histerr.h \
-  $(SOPHYAINCP)ntuple.h $(SOPHYAINCP)ntupintf.h \
-  pawexecut.h piacmd.h $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)ctimer.h \
-  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h servnobjm.h \
-  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)hisprof.h \
+  $(SOPHYAINCP)histerr.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)datatable.h \
+  $(SOPHYAINCP)basedtable.h \
+  $(SOPHYAINCP)segdatablock.h pawexecut.h \
+  piacmd.h $(SOPHYAINCP)commander.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h dlftypes.h nobjmgr.h \
+  servnobjm.h nomgadapter.h \
+  $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)generaldata.h \
@@ -1101,9 +1309,11 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h \
+  $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1116,6 +1326,6 @@
 $(SOPHYAOBJP)pi2dvec.o: pi2dvec.cc $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
-  $(SOPHYAINCP)histos.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
@@ -1125,13 +1335,21 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)ndatablock.h \
-  $(SOPHYAINCP)utilarr.h $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)nbtri.h \
-  pi2dvec.h pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)nbtri.h pi2dvec.h \
+  pistdimgapp.h $(SOPHYAINCP)pisysdep.h \
   $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
@@ -1139,5 +1357,6 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -1150,5 +1369,6 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -1171,15 +1391,20 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h dlftypes.h piacmd.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1191,9 +1416,9 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  pi2dvec.cc
  
-$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h piacmd.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
+$(SOPHYAOBJP)piacmd.o: piacmd.cc $(SOPHYAINCP)sopnamsp.h \
+  piacmd.h $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)pdlmgr.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
@@ -1204,5 +1429,7 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)ctimer.h \
   $(SOPHYAINCP)zthread.h dlftypes.h \
   $(SOPHYAINCP)strutil.h \
@@ -1215,5 +1442,6 @@
   $(SOPHYAINCP)picontainerx.h \
   $(SOPHYAINCP)picontainergen.h \
-  $(SOPHYAINCP)piwdgx.h $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
   $(SOPHYAINCP)picolist.h \
   $(SOPHYAINCP)pimenubarx.h \
@@ -1226,5 +1454,6 @@
   $(SOPHYAINCP)pibwdgx.h \
   $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)picmap.h $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
   $(SOPHYAINCP)picmapgen.h \
   $(SOPHYAINCP)pigraphx.h \
@@ -1247,81 +1476,106 @@
   $(SOPHYAINCP)periodic.h \
   $(SOPHYAINCP)piimage.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pigratt.h $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
-  $(SOPHYAINCP)pigraph3d.h nobjmgr.h pisiadw.h \
-  $(SOPHYAINCP)pilistx.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pigraph3d.h nobjmgr.h \
+  pisiadw.h $(SOPHYAINCP)pilistx.h \
   $(SOPHYAINCP)pilistgen.h \
   $(SOPHYAINCP)pistzwin.h \
   $(SOPHYAINCP)pitherm.h \
-  $(SOPHYAINCP)resusage.h basexecut.h graphexecut.h \
-  piafitting.h nomgadapter.h $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)resusage.h basexecut.h \
+  graphexecut.h piafitting.h nomgadapter.h \
+  $(SOPHYAINCP)ntupintf.h \
   $(SOPHYAINCP)generalfit.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)poly.h $(SOPHYAINCP)peida.h \
-  $(SOPHYAINCP)utils.h $(SOPHYAINCP)perrors.h \
-  $(SOPHYAINCP)fmath.h pawexecut.h cxxexecutor.h \
-  cxxexecwin.h contmodex.h flowmodex.h
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h pawexecut.h \
+  cxxexecutor.h cxxexecwin.h contmodex.h flowmodex.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piacmd.cc
  
-$(SOPHYAOBJP)piafitting.o: piafitting.cc $(SOPHYAINCP)sopnamsp.h \
-  $(SOPHYAINCP)strutil.h $(SOPHYAINCP)nbtri.h \
+$(SOPHYAOBJP)piafitting.o: piafitting.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)nbtri.h \
   $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
   $(SOPHYAINCP)generalfit.h \
   $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)tvector.h $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)ntupintf.h $(SOPHYAINCP)poly.h \
-  $(SOPHYAINCP)peida.h $(SOPHYAINCP)utils.h \
-  $(SOPHYAINCP)perrors.h $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
   $(SOPHYAINCP)fct1dfit.h \
-  $(SOPHYAINCP)fct2dfit.h $(SOPHYAINCP)ntuple.h \
-  $(SOPHYAINCP)cimage.h $(SOPHYAINCP)fioarr.h \
-  $(SOPHYAINCP)histos.h $(SOPHYAINCP)histos2.h \
+  $(SOPHYAINCP)fct2dfit.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)cimage.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)histos.h \
+  $(SOPHYAINCP)histos2.h \
   $(SOPHYAINCP)hisprof.h \
-  $(SOPHYAINCP)objfitter.h piafitting.h nomgadapter.h \
-  $(SOPHYAINCP)pidrawer.h \
-  $(SOPHYAINCP)pibwdggen.h \
-  $(SOPHYAINCP)pisysdep.h $(SOPHYAINCP)piwdgx.h \
-  $(SOPHYAINCP)piwdggen.h \
-  $(SOPHYAINCP)pimsghandler.h \
-  $(SOPHYAINCP)picolist.h $(SOPHYAINCP)picmap.h \
-  $(SOPHYAINCP)picmapx.h \
-  $(SOPHYAINCP)picmapgen.h \
-  $(SOPHYAINCP)pigraphx.h \
-  $(SOPHYAINCP)pigraphgen.h \
-  $(SOPHYAINCP)pifontx.h \
-  $(SOPHYAINCP)pifontgen.h \
-  $(SOPHYAINCP)pigrcoord.h \
-  $(SOPHYAINCP)pilineatt.h \
-  $(SOPHYAINCP)pigraphuc.h \
-  $(SOPHYAINCP)pievthandler.h \
-  $(SOPHYAINCP)psfile.h $(SOPHYAINCP)pigratt.h \
-  $(SOPHYAINCP)piaxes.h \
-  $(SOPHYAINCP)parradapter.h $(SOPHYAINCP)lut.h \
+  $(SOPHYAINCP)objfitter.h piafitting.h \
+  nomgadapter.h $(SOPHYAINCP)pidrawer.h \
+  $(SOPHYAINCP)pibwdggen.h \
+  $(SOPHYAINCP)pisysdep.h \
+  $(SOPHYAINCP)piwdgx.h \
+  $(SOPHYAINCP)piwdggen.h \
+  $(SOPHYAINCP)pimsghandler.h \
+  $(SOPHYAINCP)picolist.h \
+  $(SOPHYAINCP)picmap.h \
+  $(SOPHYAINCP)picmapx.h \
+  $(SOPHYAINCP)picmapgen.h \
+  $(SOPHYAINCP)pigraphx.h \
+  $(SOPHYAINCP)pigraphgen.h \
+  $(SOPHYAINCP)pifontx.h \
+  $(SOPHYAINCP)pifontgen.h \
+  $(SOPHYAINCP)pigrcoord.h \
+  $(SOPHYAINCP)pilineatt.h \
+  $(SOPHYAINCP)pigraphuc.h \
+  $(SOPHYAINCP)pievthandler.h \
+  $(SOPHYAINCP)psfile.h \
+  $(SOPHYAINCP)pigratt.h \
+  $(SOPHYAINCP)piaxes.h \
+  $(SOPHYAINCP)parradapter.h \
+  $(SOPHYAINCP)lut.h \
   $(SOPHYAINCP)pdlmgr.h dlftypes.h piacmd.h \
   $(SOPHYAINCP)commander.h \
-  $(SOPHYAINCP)ctimer.h $(SOPHYAINCP)zthread.h \
-  nobjmgr.h pistdimgapp.h $(SOPHYAINCP)piapplx.h \
+  $(SOPHYAINCP)ctimer.h \
+  $(SOPHYAINCP)zthread.h nobjmgr.h \
+  pistdimgapp.h $(SOPHYAINCP)piapplx.h \
   $(SOPHYAINCP)piapplgen.h \
   $(SOPHYAINCP)picontainerx.h \
@@ -1344,9 +1598,11 @@
   $(SOPHYAINCP)piperiodx.h \
   $(SOPHYAINCP)periodic.h \
-  $(SOPHYAINCP)piimage.h $(SOPHYAINCP)pieldrw.h \
+  $(SOPHYAINCP)piimage.h \
+  $(SOPHYAINCP)pieldrw.h \
   $(SOPHYAINCP)pipixmapx.h \
   $(SOPHYAINCP)pipixmapgen.h \
   $(SOPHYAINCP)picmapview.h \
-  $(SOPHYAINCP)pi3dwdg.h $(SOPHYAINCP)pi3ddrw.h \
+  $(SOPHYAINCP)pi3dwdg.h \
+  $(SOPHYAINCP)pi3ddrw.h \
   $(SOPHYAINCP)pigraph3d.h pisiadw.h \
   $(SOPHYAINCP)pilistx.h \
@@ -1355,5 +1611,6 @@
   $(SOPHYAINCP)pitherm.h \
   $(SOPHYAINCP)resusage.h nomhistadapter.h \
-  $(SOPHYAINCP)histerr.h $(SOPHYAINCP)xntuple.h \
+  $(SOPHYAINCP)histerr.h \
+  $(SOPHYAINCP)xntuple.h \
   $(SOPHYAINCP)basedtable.h \
   $(SOPHYAINCP)segdatablock.h nomgfdadapter.h \
@@ -1361,8 +1618,8 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  piafitting.cc
  
-$(SOPHYAOBJP)pigfd1.o: pigfd1.cc $(SOPHYAINCP)sopnamsp.h pigfd1.h \
-  $(SOPHYAINCP)generaldata.h \
-  $(SOPHYAINCP)objfio.h $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)osx_values.h \
+$(SOPHYAOBJP)pigfd1.o: pigfd1.cc $(SOPHYAINCP)sopnamsp.h \
+  pigfd1.h $(SOPHYAINCP)generaldata.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)ppersist.h \
